stages:
- stage: Windows
  pool:
    vmImage: windows-latest
  jobs:
  - job: win_x64
    variables:
      VSCODE_ARCH: x64
    steps:
      - template: templates/windows.yml
  - job: win_ia32
    variables:
      VSCODE_ARCH: ia32
    steps:
      - template: templates/windows.yml
- stage: Linux
  dependsOn: []
  pool:
    vmImage: "Ubuntu-18.04"
  jobs:
  - job: linux_x64
    variables:
      VSCODE_ARCH: x64
    steps:
      - template: templates/posix.yml
- stage: Mac
  dependsOn: []
  pool:
    vmImage: macOS-latest
  jobs:
  - job: mac_x64
    variables:
      VSCODE_ARCH: x64
    steps:
      - template: templates/posix.yml

trigger:
  batch: true
  branches:
   include:
   - main